Gelmiş geçmiş en büyük porno sitemiz olan 2pe de her zaman en kaliteli pornoları sunmayı hedefledik. Diğer video sitemiz olan vuam da ise hd porno ağırlıklı çalışmalara başladık.

  1. #1
    Sencha Premium Member
    Join Date
    Aug 2012
    Posts
    83
    Vote Rating
    4
    cydaps is on a distinguished road

      0  

    Default sencha app upgrade 4.0.0 to 4.0.1 breaking

    sencha app upgrade 4.0.0 to 4.0.1 breaking


    Hi,

    I decided (stupidly) to upgrade Sencha Cmd to 4.0.1 so I could use Ruby 2.0 on OS X Mavericks at last... BIG mistake!

    I've got an app I build with Sencha Cmd 4.0.0 and it's using Cordova to run native.

    I used terminal to move into my project root and ran:

    sencha app upgrade

    I get the following saying there's a merge conflict with the .sencha/app/build.properties and the .sencha/app/native.properties files, neither of which I've ever touched or opened, and I've no idea what I'm supposed to be manually resolving as recommended by the output of Sencha Cmd.....:

    Code:
    Sencha Cmd v4.0.1.45
    Code:
    [INF] 
    [INF] init-plugin:
    [INF] 
    [INF] cmd-root-plugin.init-properties:
    [INF] 
    [INF] init-properties:
    [INF] 
    [INF] init-sencha-command:
    [INF] 
    [INF] init:
    [INF] 
    [INF] app-upgrade-impl:
    [INF] building application
    [INF] Backing up application files from /Users/james/Documents/MyApps/Touch23/MyApp to /Users/james/Documents/MyApps/Touch23/MyApp/.sencha_backup/MyApp/2.3.0
    [INF]      [copy] Copying 336 files to /Users/james/Documents/MyApps/Touch23/MyApp/.sencha_backup/MyApp/2.3.0
    [INF]      [copy] Copied 340 empty directories to 1 empty directory under /Users/james/Documents/MyAppx/Touch23/MyApp/.sencha_backup/MyApp/2.3.0
    [INF] Updating application and workspace files
    [INF] 
    [INF] init-plugin:
    [INF] 
    [INF] cmd-root-plugin.init-properties:
    [INF] 
    [INF] init-properties:
    [INF] 
    [INF] init-sencha-command:
    [INF] 
    [INF] init:
    [INF] 
    [INF] before-upgrade:
    [INF] 
    [INF] generate-app-impl:
    [ERR] MERGE CONFLICT - /Users/james/Documents/MyApps/Touch23/MyApp/.sencha/app/build.properties
    [ERR] Please resolve manually
    [ERR] MERGE CONFLICT - /Users/james/Documents/MyApps/Touch23/MyApp/.sencha/app/native.properties
    [ERR] Please resolve manually
    [INF] 
    [INF] -after-generate-app:
    [INF] [x-property-file] Updating property file: /Users/james/Documents/MyApps/Touch23/MyApp/.sencha/app/sencha.cfg
    [ERR] com.sencha.exceptions.ExScript: Wrapped com.sencha.exceptions.BasicException: Upgrade encountered 2 merge conflicts. Please resolve all merge conflicts then run 'sencha app refresh'. (/Users/james/bin/Sencha/Cmd/4.0.1.45/ant/ant-util.js#849)
       runSencha (/Users/james/bin/Sencha/Cmd/4.0.1.45/ant/ant-util.js:849)
       runAppUpgrade (x-app-upgrade:264)
       [anonymous] (x-app-upgrade:284)
       x_app_upgrade (x-app-upgrade:282)
       <script> (anonymous:1)
    [ERR] 
    The application was last modified by an older version of Sencha Cmd (4.0.0.203)
    the current is 4.0.1.45.
    Please run "sencha app upgrade" to update to 4.0.1.45.

    I've never modified (or even looked at) the two files concerned, and there's no indication of what the issue may be, but it's now broken my app and I'm unable to build. I've tried rolling back to a previous version and restoring Sencha Cmd 4.0.0 but even after doing this I still can't build the native version, so my only option is to press on with upgrading to Cmd 4.0.1 but I don't know what I'm supposed to be resolving manually...

    The contents of the files is:

    build.properties:
    Code:
    # =============================================================================
    # This file provides an override point for default variables defined in these
    # lower priority files:
    #
    #   - touch.properties
    #   - *.defaults.properties
    #   - defaults.properties
    #
    # To override a property based on build.environment instead add properties to
    # one of these higher priority files:
    #
    #   - production.properties
    #   - testing.properties
    #   - native.properties
    #   - package.properties
    #
    # IMPORTANT - Sencha Cmd will merge your changes with its own during upgrades.
    # To avoid potential merge conflicts avoid making large, sweeping changes to
    # this file.
    # =============================================================================
    <<<<<<< Generated
    =======
    
    
    enable.touch.themes=true
    build.output.markuponly=false
    build.watcher.targets=-watch-sass-dir,-watch-compiler
    build.trigger.targets=-refresh
    
    
    # override the default sass directory
    compass.sass.dir=${app.sass.dir}
    
    
    build.options.product=product\:touch
    build.options.minVersion=minVersion\:3
    build.options.default=${build.options.product},${build.options.minVersion}
    
    
    
    
    app.cordova.dir=${app.dir}/cordova
    app.cordova.www.dir=${app.cordova.dir}/www
    >>>>>>> Custom


    This is the contents of native.properties:
    Code:
    # =============================================================================
    # This file provides an override point for default variables defined in 
    # native.defaults.properties. These properties are only imported when building
    # for the "native" environment.
    #
    # Properties defined in this file take priority over build.properties but are
    # only loaded for "native" builds.
    # =============================================================================
    <<<<<<< Generated
    =======
    
    
    # enable yui compression
    build.compression.yui=1
    enable.standalone.manifest=true
    
    
    build.options=${build.options.debug.disable},${build.options.logger.disable},${build.options.default}
    app.microloader.name=testing.js
    
    
    skip.native-package=false
    
    
    build.dir=${app.cordova.www.dir}
    >>>>>>> Custom

    Any help greatly appreciated as I'm desperate to get this resolved as I have to build today!!

    Thanks

  2. #2
    Sencha Premium Member
    Join Date
    Aug 2012
    Posts
    83
    Vote Rating
    4
    cydaps is on a distinguished road

      0  

    Question Upgrade resolved.... new issue now, permissions....

    Upgrade resolved.... new issue now, permissions....


    Well, I've managed to resolve the upgrade. Looking more closely at those build.properties and native.properties files I saw there were the lines <<<<<<<<<<<< Generated and >>>>>>>>>>>>>> Custom and commented those out and it upgrade ok....

    Well, I tried running:

    Code:
    sencha app build package
    and this built fine, no issues....

    next I tried the native build that's been working for months:

    Code:
    sencha app build native
    This returned:

    Code:
    ..
    ...
    .....
    [INF] -cordova-build:
    [INF] [shellscript] [Error: An error occurred while building the android project. /bin/sh: /Users/james/Documents/MyApps/Touch23/MyApp/cordova/platforms/android/cordova/build: Permission denied
    [INF] [shellscript] ]
    [ERR] The following error occurred while executing this line:
    /Users/james/Documents/MyApps/Touch23/MyApp/.sencha/app/build-impl.xml:422: The following error occurred while executing this line:
    /Users/james/Documents/MyApps/Touch23/MyApp/.sencha/app/cordova-impl.xml:118: The following error occurred while executing this line:
    jar:file:/Users/james/bin/Sencha/Cmd/4.0.1.45/sencha.jar!/com/sencha/ant/antlib.xml:608: shellscript returned: 1
    James-iMac:myapp james$

    Any ideas what's going on there? I looked at the permissions on the folder and all seems fine... I've got permissions to read/write the file.... Nothing appears to have changed regarding settings for the file so I'm a tad lost on this....

    Thanks!!!

  3. #3
    Sencha Premium Member
    Join Date
    Aug 2012
    Posts
    83
    Vote Rating
    4
    cydaps is on a distinguished road

      0  

    Default Just created a new app...

    Just created a new app...


    In the end it was faster and easier to create a new app from scratch using Cmd 4.0.1 and then copy across the code and set up the Cordova native integrations again.

    Not sure why the Cmd upgrade is always so messy, it's never worked for me. Every time Cmd says the app was built with an older version of Cmd, please upgrade, it falls over or screws up the app completely.

    Otherwise Cmd and Sencha Touch are working great, really impressed. Just a few little issues like this need ironing out!

  4. #4
    Sencha User
    Join Date
    Oct 2012
    Posts
    68
    Vote Rating
    2
    Tioecomp is on a distinguished road

      0  

    Default Same problem

    Same problem


    Man I have almost the same problem as you had, your solution to remove <<<<<<<<<<<<Generated >>>>>>>>>>> Custom worked for me then I use sencha app refresh and sencha app upgrade -noframework and everything is fine now.